This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 474396 - (CVE-2008-5080) CVE-2008-5080 awstats: incomplete fix for CVE-2008-3714 XSS issue
CVE-2008-5080 awstats: incomplete fix for CVE-2008-3714 XSS issue
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 12:07 EST by Tomas Hoger
Modified: 2010-03-29 05:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-29 05:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 495432 None None None Never

  None (edit)
Comment 1 Tomas Hoger 2008-12-03 12:22:27 EST
It was discovered that the upstream patch for cross-site scripting (XSS) issue in awstats known as CVE-2008-3714 does not completely resolve the problem and it still allows injection of quote characters.

Improved patch is available in the Debian BTS:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495432#21

It strips quotes only after URL-decoding %-escaped strings was done, rather than before.

Patch is included in the Debian security advisory DSA-1679-1:
  http://www.debian.org/security/2008/dsa-1679
Comment 2 Fedora Update System 2008-12-06 04:43:41 EST
awstats-6.8-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/awstats-6.8-3.fc10
Comment 3 Fedora Update System 2008-12-08 08:03:07 EST
awstats-6.8-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-12-08 08:04:48 EST
awstats-6.8-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-12-08 08:06:23 EST
awstats-6.8-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Tim Jackson 2008-12-08 18:17:22 EST
I have built it in EPEL5 with the additional fix.

Note You need to log in before you can comment on or make changes to this bug.